Package org.gradle.tooling.events.lifecycle

# Interface BuildPhaseProgressEvent

All Superinterfaces:
  `ProgressEvent`

All Known Subinterfaces:
  `BuildPhaseFinishEvent`, `BuildPhaseStartEvent`

@Incubating public interface BuildPhaseProgressEvent extends ProgressEvent
Event describing the build phase.

Since:
  7.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BuildPhaseOperationDescriptor`
  `getDescriptor()`
  Returns the description of the operation for which progress is reported.

  ### Methods inherited from interface org.gradle.tooling.events.ProgressEvent

  `getDisplayName, getEventTime`

- ## Method Details

  - ### getDescriptor

    BuildPhaseOperationDescriptor getDescriptor()
    Description copied from interface: `ProgressEvent`
    Returns the description of the operation for which progress is reported.
    Specified by:
      `getDescriptor` in interface `ProgressEvent`
    Returns:
      The description of the operation.